Contributing
============

Submit bugs as GitHub Issues.

Submit contributions as Pull Requests.

## Style

### Git Commit Messages

We use a simplified form of [Atom's](https://github.com/atom/atom/blob/master/CONTRIBUTING.md#git-commit-messages) commit convention.

  * Use the present tense ("Adds feature" not "Added feature")
  * Limit the first line to 72 characters or less
  * Add one feature per commit. If you have multiple features, have multiple commits.

#### Template

    <emoji> Short Description of Commit
    <BLANKLINE>
    More detailed description of commit
    <BLANKLINE>
    Resolves: <Issue #>

#### Emoji Categories
Our categories include:
  * :seedling: `:seedling:` when creating a new feature
  * :bug: `:bug:` when fixing a bug
  * :white_check_mark: `:white_check_mark:` when adding tests
  * :art: `:art:` when improving the format/structure of the code
  * :memo: `:memo:` when writing docs
  * :fire: `:fire:` when removing code or files
  * :package: `:package:` when pushing a new release
  * :arrow_up: `:arrow_up:` when upgrading dependencies
  * :arrow_down: `:arrow_down:` when downgrading dependencies
  * :space_invader: `:space_invader:` when using generated files

If you do not see an exact emoji match, use the best matching emoji.

#### Example
    :memo: Update CONTRIBUTING.md

    Update Contributing.md with new emoji categories
    Update Contributing.md with new template

    Resolves: #12345

## Credits
This is [derived from oktasdk-java's CONTRIBUTING.md](https://github.com/okta/oktasdk-java/blob/master/CONTRIBUTING.md)
which itself is derived from Atom's.